Mailinglist Archive: opensuse-updates (61 mails)

< Previous Next >
openSUSE-SU-2015:1704-1: moderate: Security update for freetype2
openSUSE Security Update: Security update for freetype2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:1704-1
Rating: moderate
References: #945849 #947966
Cross-References: CVE-2014-9745 CVE-2014-9747
Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update of the freetype2 library fixes two security issues.

These security issues were fixed:
- CVE-2014-9745: Infinite loop in parse_encoding in t1load.c (bsc#945849)
- CVE-2014-9747: Use of uninitialized memory in ps_parser_load_field,
t42_parse_font_matrix and t1_parse_font_matrix (bsc#947966)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-639=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

freetype2-debugsource-2.5.0.1-2.10.1
freetype2-devel-2.5.0.1-2.10.1
ft2demos-2.5.0-2.10.1
ft2demos-debuginfo-2.5.0-2.10.1
ft2demos-debugsource-2.5.0-2.10.1
libfreetype6-2.5.0.1-2.10.1
libfreetype6-debuginfo-2.5.0.1-2.10.1

- openSUSE 13.1 (x86_64):

freetype2-devel-32bit-2.5.0.1-2.10.1
libfreetype6-32bit-2.5.0.1-2.10.1
libfreetype6-debuginfo-32bit-2.5.0.1-2.10.1


References:

https://www.suse.com/security/cve/CVE-2014-9745.html
https://www.suse.com/security/cve/CVE-2014-9747.html
https://bugzilla.suse.com/945849
https://bugzilla.suse.com/947966


< Previous Next >
This Thread
  • No further messages